GIT-MERGETOOL—LIB(1)

NAME
git-mergetool--lib - Common git merge tool shell scriptlets

SYNOPSIS

TOOL_MODE=(diff|merge) . "$(git --exec-path)/git-mergetool—lib"

DESCRIPTION

This is not a command the end user would want to run. Ever. This documentation is meant for people who are studying the Porcelain-ish scripts and/or are writing new ones.

The git-mergetool—lib scriptlet is designed to be sourced (using .) by other shell scripts to set up functions for working with git merge tools.

Before sourcing git-mergetool—lib, your script must set TOOL_MODE to define the operation mode for the functions listed below. diff and merge are valid values.

FUNCTIONS

get_merge_tool
    returns a merge tool.

get_merge_tool_cmd
    returns the custom command for a merge tool.

get_merge_tool_path
    returns the custom path for a merge tool.

run_merge_tool
    launches a merge tool given the tool name and a true/false flag to indicate whether a merge base is present. $MERGED, $LOCAL, $REMOTE, and $BASE must be defined for use by the merge tool.

AUTHOR

Written by David Aguilar <davvid@gmail.com[1]>

DOCUMENTATION

Documentation by David Aguilar and the git-list <git@vger.kernel.org[2]>.

GIT

Part of the git(1) suite

NOTES

1.  davvid@gmail.com
    mailto:davvid@gmail.com

2.  git@vger.kernel.org
    mailto:git@vger.kernel.org